Subject: bug#78038: 26.3; query-replace

From: Manuel Giraud <[email-masked]>
Date: Fri, 25 Apr 2025 11:08:59 +0200

Niclas Olsson <[email-masked]> writes:

>  Hi gnu/emacs!
> Thanks a lot for the quick reply I got. I have tried out both:
> (setq query-replace-read-from-default (lambda () ""))
> and the 
> (setq query-replace-read-from-default (lambda () (make-string 0 32)))
> Unfortunately the irritating (default FROM -> TO) still shows...I also
> did try to read and follow the code but limited in LISP knowledge and
> I didn't find anything which I didn't already try.

You'd have to tell us more about which emacs version you're using.
Those variables were introduced by commit
749ba35bf5e0974384550a0763fd27f08db0678c on Feb 1 2022.

So this probably works since version 28.2.
-- 
Manuel Giraud